Basilisk
API referenceReference

Revoke an API token

POST
/v1/auth/tokens/{id}/revoke

Permanent. Anything using the token stops authenticating immediately.

Authorization

sessionCookie
basilisk_session<token>

Browser session minted by the prefix.dev OIDC login.

In: cookie

Path Parameters

id*string

Token id

Formatuuid

Response Body

application/json

curl -X POST "https://example.com/v1/auth/tokens/497f6eca-6276-4993-bfeb-53cbbbba6f08/revoke"
{  "api_token": {    "created_at": "2019-08-24T14:15:22Z",    "description": "string",    "expires_at": "2019-08-24T14:15:22Z",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "key_id": "string",    "last_used_at": "2019-08-24T14:15:22Z",    "name": "string",    "revoked_at": "2019-08-24T14:15:22Z",    "status": "active"  }}